گروههای دسترسی
محدود کردن اعضا به پروژههای برگزیده و نقش دادن با گروه.
/v1/team/groupsThe team's access groups#
A limited member (see Access groups) is refused with 403.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
پاسخ
200object
groupsAccessGroup[]الزامیidstring (uuid)namestringmembersintegeraccessintegercreated_atstring (date-time)
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/team/groups" \
-H "Authorization: Bearer $KEY"/v1/team/groupsMake an access group#
Names are unique in a team whatever their case; at most 100 groups. Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
بدنهٔ درخواستapplication/json
namestringالزامی1–60 characters
پاسخ
201AccessGroupCreated
idstring (uuid)namestringmembersintegeraccessintegercreated_atstring (date-time)
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X POST "https://api.ibel.ai/v1/team/groups" \
-H "Authorization: Bearer $KEY" \
-d '{"name":"Frontend"}'- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
پارامترها
idstring (uuid)مسیرالزامیthe group's id
پاسخ
200object
idstring (uuid)namestringcreated_atstring (date-time)membersobject[]idstring (uuid)emailstringrolestringrestrictedboolean
accessAccessGrant[]kindstringone of
function,app,database,cache,bucketnamestringrolestringone of
developer,viewer
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903" \
-H "Authorization: Bearer $KEY"/v1/team/groups/{id}Delete an access group#
Its members lose the access only it gave them. Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
idstring (uuid)مسیرالزامیthe group's id
پاسخ
200object
deletedstring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X DELETE "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903" \
-H "Authorization: Bearer $KEY"- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
idstring (uuid)مسیرالزامیthe group's id
بدنهٔ درخواستapplication/json
namestringالزامی1–60 characters
پاسخ
200object
idstringnamestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X PATCH "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903" \
-H "Authorization: Bearer $KEY" \
-d '{"name":"Frontend"}'- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
idstring (uuid)مسیرالزامیthe group's id
personstring (uuid)مسیرالزامیthe person's id
پاسخ
200object
groupstringpersonstring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X PUT "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903/members/5b0f4c2e-8f1d-4a7e-9c3b-2d6e1f0a9b8c" \
-H "Authorization: Bearer $KEY"/v1/team/groups/{id}/members/{person}Take a member out of a group#
Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
idstring (uuid)مسیرالزامیthe group's id
personstring (uuid)مسیرالزامیthe person's id
پاسخ
200object
groupstringremovedstring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X DELETE "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903/members/5b0f4c2e-8f1d-4a7e-9c3b-2d6e1f0a9b8c" \
-H "Authorization: Bearer $KEY"/v1/team/groups/{id}/access/{kind}/{name}Give a group a role on a project or store#
Developer (may change it) or viewer (reads only). Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
idstring (uuid)مسیرالزامیthe group's id
kindstringمسیرالزامیfunction, app, database, cache or bucket
one of
function,app,database,cache,bucketnamestringمسیرالزامیthe project's or store's name
بدنهٔ درخواستapplication/json
rolestringone of
developer,viewer· default"developer"
پاسخ
200object
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X PUT "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903/access/kind/Frontend" \
-H "Authorization: Bearer $KEY" \
-d '{"role":"developer"}'/v1/team/groups/{id}/access/{kind}/{name}Take a group's access away#
Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
idstring (uuid)مسیرالزامیthe group's id
kindstringمسیرالزامیfunction, app, database, cache or bucket
one of
function,app,database,cache,bucketnamestringمسیرالزامیthe project's or store's name
پاسخ
200object
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X DELETE "https://api.ibel.ai/v1/team/groups/88e2fe1d-6d75-4de5-8c8f-27380ec66903/access/kind/Frontend" \
-H "Authorization: Bearer $KEY"/v1/team/members/{person}/accessOne member's own grants and groups#
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
پارامترها
personstring (uuid)مسیرالزامیthe person's id
پاسخ
200object
personstringemailstringrolestringrestrictedbooleanaccessAccessGrant[]kindstringone of
function,app,database,cache,bucketnamestringrolestringone of
developer,viewer
groupsobject[]idstringnamestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/team/members/5b0f4c2e-8f1d-4a7e-9c3b-2d6e1f0a9b8c/access" \
-H "Authorization: Bearer $KEY"/v1/team/members/{person}/access/{kind}/{name}Give a member a role on a project or store#
Counts only while the member is limited. Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
personstring (uuid)مسیرالزامیthe person's id
kindstringمسیرالزامیfunction, app, database, cache or bucket
one of
function,app,database,cache,bucketnamestringمسیرالزامیthe project's or store's name
بدنهٔ درخواستapplication/json
rolestringone of
developer,viewer· default"developer"
پاسخ
200object
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X PUT "https://api.ibel.ai/v1/team/members/5b0f4c2e-8f1d-4a7e-9c3b-2d6e1f0a9b8c/access/kind/Frontend" \
-H "Authorization: Bearer $KEY" \
-d '{"role":"developer"}'/v1/team/members/{person}/access/{kind}/{name}Take a member's own access away#
Needs step-up with a session.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- ادمین
- تایید دوم
- با نشست داشبورد، عامل دوم در ۱۰ دقیقهٔ اخیر لازم است؛ کلید API نیازی ندارد.
پارامترها
personstring (uuid)مسیرالزامیthe person's id
kindstringمسیرالزامیfunction, app, database, cache or bucket
one of
function,app,database,cache,bucketnamestringمسیرالزامیthe project's or store's name
پاسخ
200object
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl -X DELETE "https://api.ibel.ai/v1/team/members/5b0f4c2e-8f1d-4a7e-9c3b-2d6e1f0a9b8c/access/kind/Frontend" \
-H "Authorization: Bearer $KEY"/v1/functions/{name}/membersWho has access to a function#
The members who are not limited, and the limited members with their role and where it comes from. A limited member needs a grant on it.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- همهٔ نقشها
پارامترها
namestringمسیرالزامی
پاسخ
200object
resourceobjectkindstringone of
function,app,database,cache,bucketnamestring
teamobject[]idstringemailstringrolestring
limitedobject[]idstringemailstringrolestringviaobject[]typestringone of
direct,groupnamestringrolestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/functions/Frontend/members" \
-H "Authorization: Bearer $KEY"/v1/apps/{name}/membersWho has access to a app#
The members who are not limited, and the limited members with their role and where it comes from. A limited member needs a grant on it.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- همهٔ نقشها
پارامترها
namestringمسیرالزامی
پاسخ
200object
resourceobjectkindstringone of
function,app,database,cache,bucketnamestring
teamobject[]idstringemailstringrolestring
limitedobject[]idstringemailstringrolestringviaobject[]typestringone of
direct,groupnamestringrolestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/apps/Frontend/members" \
-H "Authorization: Bearer $KEY"/v1/db/projects/{name}/membersWho has access to a database#
The members who are not limited, and the limited members with their role and where it comes from. A limited member needs a grant on it.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- همهٔ نقشها
پارامترها
namestringمسیرالزامی
پاسخ
200object
resourceobjectkindstringone of
function,app,database,cache,bucketnamestring
teamobject[]idstringemailstringrolestring
limitedobject[]idstringemailstringrolestringviaobject[]typestringone of
direct,groupnamestringrolestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/db/projects/Frontend/members" \
-H "Authorization: Bearer $KEY"/v1/cache/databases/{name}/membersWho has access to a cache#
The members who are not limited, and the limited members with their role and where it comes from. A limited member needs a grant on it.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- همهٔ نقشها
پارامترها
namestringمسیرالزامی
پاسخ
200object
resourceobjectkindstringone of
function,app,database,cache,bucketnamestring
teamobject[]idstringemailstringrolestring
limitedobject[]idstringemailstringrolestringviaobject[]typestringone of
direct,groupnamestringrolestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/cache/databases/Frontend/members" \
-H "Authorization: Bearer $KEY"/v1/buckets/{name}/membersWho has access to a bucket#
The members who are not limited, and the limited members with their role and where it comes from. A limited member needs a grant on it.
- دسترسی
- کلید API یا نشست داشبورد
- نقشها
- همهٔ نقشها
پارامترها
namestringمسیرالزامی
پاسخ
200object
resourceobjectkindstringone of
function,app,database,cache,bucketnamestring
teamobject[]idstringemailstringrolestring
limitedobject[]idstringemailstringrolestringviaobject[]typestringone of
direct,groupnamestringrolestring
خطاها
| وضعیت | توضیح |
|---|---|
| 401 | unauthorized: missing, invalid, expired or revoked credential |
| 403 | Forbidden: forbidden, or step_up_required |
| 404 | Not found: not_found |
| 500 | internal: an unexpected failure |
نمونه
curl "https://api.ibel.ai/v1/buckets/Frontend/members" \
-H "Authorization: Bearer $KEY"